[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH] Use getopt_long() instead of argp_parse() in grub-emu

From: Marco Gerards
Subject: Re: [PATCH] Use getopt_long() instead of argp_parse() in grub-emu
Date: Sun, 18 Nov 2007 12:04:06 +0100
User-agent: Gnus/5.110006 (No Gnus v0.6) Emacs/21.4 (gnu/linux)

Christian Franke <address@hidden> writes:

> Marco Gerards wrote:
>> Christian Franke <address@hidden> writes:
>>> Unlike the other GRUB2 utils, grub-emu uses the glibc extension
>>> argp_parse(). It is unavailable on Cygwin, which might also be the
>>> case for other platforms where glibc is not the native runtime.
>> This has been brought up before, BSD has the same problem.  The
>> outcome of the discussion was (IIRC) that we will use argp.  When argp
>> is not available we can use gnulib or a standalone argp parser
>> ("argp-standalone") to support this.  In that case it will mean
>> changing
> Will argp_parse() be a pre-requisite for building GRUB2 or will
> argp-standalone be included (some other projects do) ?

Personally, I would prefer it if it could be used as an external
library.  The more we include, the more we need to care about.

> If you really want argp, why is it used only for the few trivial
> options of grub-emu ? The other utils still use getopt_long().
> grub-emu does not benefit much from argp, but introduces another
> portability issue.

It's what happened :-)

Perhaps we should consider getopt_long, for now.  It's one file to
change...  Does anyone else object?  Otherwise I'll review this patch.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]